---
stages:
- ansible lint
- x86 Systems

Ansible Lint:
  stage: ansible lint
  image: 
    name: fedora:latest
  before_script:
    - dnf install -y git ansible python3-ansible-lint
    - export ANSIBLE_CONFIG=$(pwd)/ansible.cfg
    - ./install-ansible-modules.sh
    - ansible-lint --version
  script:
    - ansible-lint --force-color . &> lint-output.txt
    - echo $? > status
    - cat lint-output.txt
    - if [ $(cat status) -ne 0 ]; then echo "Lint returned with warnings/fails"; exit 1; fi

Run Workstation playbook on fedora:
  stage: x86 Systems
  image: 
    name: fedora:latest
  script:
  - dnf install -y ansible python3-pip
  - pip3 install -r ci-requirements.txt
  - mkdir /tmp/artifacts
  - ./run_play.sh workstation
  - mv /tmp/artifacts/workstation-*.xml report.xml
  artifacts:
    when: always
    reports:
      junit: report.xml

